<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$mandante=$_GET['mandante'];
$transportista=$_GET['transportista'];

if ($connection)
{
	$query = $connection->query("
SELECT ac.clasificacion AS Clasificacion
			,COUNT(rco.id) AS Cantidad
			FROM Resultados_Checklist rco
			JOIN app_Clasificacion ac ON rco.clasificacion = ac.id
			WHERE rco.mandante = $mandante
			AND rco.planta = $planta
			AND rco.transportista = $transportista
			AND YEAR(rco.fechahora) = $agno
			AND MONTH(rco.fechahora) = $mes
			AND respuesta = 'No'
			GROUP BY ac.clasificacion;
			");
	
	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	if($rows == NULL){
		$rows[0] = [
					"Clasificacion" => "Sin Datos",
				    "Cantidad" => "0",
				];
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
